From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 30 July 2015<P>

I moved the loveblender to a different server.<BR>
<BR>
Things seem ok, it was a pretty easy move...<BR>
<BR>
let me know (my email is kirkjerk using gmail) if you have any issues.
<HR>
From: <a href="/blend/av.cgi?id=887">Just L</a><BR>
Date: 30 July 2015<P>

Hey Kirk!<BR>
<BR>
Smart move putting all of your efforts in one place!<BR>
<BR>
As a frequent visitor I knew what icon to click on to get to the Love Blender... I am not sure new visitors will/would right away, but they should be able to figure it out if they are smart enough to scan over the icons... and well, if not... [insert smart remark here].
<HR>